Bug 1224610 - nfs-ganesha: execution of script ganesha-ha.sh throws a error for a file
Summary: nfs-ganesha: execution of script ganesha-ha.sh throws a error for a file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: RHGS 3.1.0
Assignee: Kaleb KEITHLEY
QA Contact: Saurabh
URL:
Whiteboard:
Depends On:
Blocks: 1202842 1241133 1241134
TreeView+ depends on / blocked
 
Reported: 2015-05-25 06:39 UTC by Saurabh
Modified: 2016-01-19 06:14 UTC (History)
6 users (show)

Fixed In Version: glusterfs-ganesha-3.1.0-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1241133 (view as bug list)
Environment:
Last Closed: 2015-07-29 04:52:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1234780 0 unspecified CLOSED nfs-ganesha: grep: /ganesha-ha.conf: No such file or directory 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Internal Links: 1234780

Description Saurabh 2015-05-25 06:39:13 UTC
Description of problem:
Everytime the execution of the ganesha-ha.sh script throws error,
time bash /usr/libexec/ganesha/ganesha-ha.sh status
/usr/libexec/ganesha/ganesha-ha.sh: line 734: /ganesha-ha.conf: No such file or directory


Version-Release number of selected component (if applicable):
glusterfs-3.7.0-2.el6rhs.x86_64
nfs-ganesha-2.2.0-0.el6.x86_64

How reproducible:
always


Actual results:
as described above

Expected results:
need to rectify this problem, as such error of "No such file or directory" is not expected

Additional info:

Comment 4 Saurabh 2015-06-17 09:33:20 UTC
Fixed in version is updated with  version glusterfs-ganesha-3.1.0-4
whereas in downstrem we are having glusterfs-ganesha-3.7.1-3.el6rhs.x86_64. 
Request you to update the Fixed in version accordingly.

Comment 5 Saurabh 2015-07-07 12:35:21 UTC
Moving it back to ASSINGED state as it is still not fixed,

[root@nfs11 ~]# time bash /usr/libexec/ganesha/ganesha-ha.sh status
grep: /ganesha-ha.conf: No such file or directory
grep: /ganesha-ha.conf: No such file or directory
grep: /ganesha-ha.conf: No such file or directory
Cluster name: nozomer
Last updated: Tue Jul  7 23:27:42 2015

Comment 6 Kaleb KEITHLEY 2015-07-08 10:32:23 UTC
gluster/glusterd is invoking ganesha-ha.sh without the config cmd line arg

Comment 8 Saurabh 2015-07-13 05:28:07 UTC
installed,
glusterfs-3.7.1-9.el6rhs.x86_64

status displays,
[root@nfs11 ~]# time bash /usr/libexec/ganesha/ganesha-ha.sh status
Cluster name: nozomer
Last updated: Mon Jul 13 16:19:57 2015
Last change: Fri Jul 10 20:38:24 2015
Stack: cman
Current DC: nfs12 - partition with quorum
Version: 1.1.11-97629de
4 Nodes configured
16 Resources configured


Online: [ nfs11 nfs12 nfs13 nfs14 ]

Full list of resources:

 Clone Set: nfs-mon-clone [nfs-mon]
     Started: [ nfs11 nfs12 nfs13 nfs14 ]
 Clone Set: nfs-grace-clone [nfs-grace]
     Started: [ nfs11 nfs12 nfs13 nfs14 ]
 nfs11-cluster_ip-1	(ocf::heartbeat:IPaddr):	Started nfs11 
 nfs11-trigger_ip-1	(ocf::heartbeat:Dummy):	Started nfs11 
 nfs12-cluster_ip-1	(ocf::heartbeat:IPaddr):	Started nfs12 
 nfs12-trigger_ip-1	(ocf::heartbeat:Dummy):	Started nfs12 
 nfs13-cluster_ip-1	(ocf::heartbeat:IPaddr):	Started nfs13 
 nfs13-trigger_ip-1	(ocf::heartbeat:Dummy):	Started nfs13 
 nfs14-cluster_ip-1	(ocf::heartbeat:IPaddr):	Started nfs14 
 nfs14-trigger_ip-1	(ocf::heartbeat:Dummy):	Started nfs14

Comment 9 errata-xmlrpc 2015-07-29 04:52:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.